#!/usr/bin/env node

/**
 * Example client
 */
'use strict'

const co = require('co')
const apemanApiClient = require('apeman-api-client')
const EventSource = require('eventsource')

co(function * () {
  // Setup an client
  let api = yield apemanApiClient('/api')

  // Connect to a module
  let watch01 = yield api.connect('watch01')
  let pong = yield watch01.ping()
  /* ... */

  let es = new EventSource(api.resolve('watch01', 'start'))
  es.addEventListener('change', (event, filename) => {
    /* ... */
  })
})

